package activitypub

var BaseLdContext = []any{
	"https://www.w3.org/ns/activitystreams",
	"https://w3id.org/security/v1",
	map[string]any{
		"Key":                                   "sec:Key",
		"manuallyApprovesFollowers":             "as:manuallyApprovesFollowers",
		"sensitive":                             "as:sensitive",
		"Hashtag":                               "as:Hashtag",
		"quoteUrl":                              "as:quoteUrl",
		"fedibird":                              "http://fedibird.com/ns#",
		"quoteUri":                              "fedibird:quoteUri",
		"toot":                                  "http://joinmastodon.org/ns#",
		"Emoji":                                 "toot:Emoji",
		"featured":                              "toot:featured",
		"discoverable":                          "toot:discoverable",
		"indexable":                             "toot:indexable",
		"schema":                                "http://schema.org#",
		"PropertyValue":                         "schema:PropertyValue",
		"value":                                 "schema:value",
		"misskey":                               "https://misskey-hub.net/ns#",
		"_misskey_content":                      "misskey:_misskey_content",
		"_misskey_quote":                        "misskey:_misskey_quote",
		"_misskey_reaction":                     "misskey:_misskey_reaction",
		"_misskey_votes":                        "misskey:_misskey_votes",
		"_misskey_summary":                      "misskey:_misskey_summary",
		"_misskey_followedMessage":              "misskey:_misskey_followedMessage",
		"_misskey_requireSigninToViewContents":  "misskey:_misskey_requireSigninToViewContents",
		"_misskey_makeNotesFollowersOnlyBefore": "misskey:_misskey_makeNotesFollowersOnlyBefore",
		"_misskey_makeNotesHiddenBefore":        "misskey:_misskey_makeNotesHiddenBefore",
		"_misskey_license":                      "misskey:_misskey_license",
		"freeText": map[string]string{
			"@id":   "misskey:freeText",
			"@type": "schema:text",
		},
		"isCat":            "misskey:isCat",
		"firefish":         "https://joinfirefish.org/ns#",
		"speakAsCat":       "firefish:speakAsCat",
		"sharkey":          "https://joinsharkey.org/ns#",
		"hideOnlineStatus": "sharkey:hideOnlineStatus",
		"backgroundUrl":    "sharkey:backgroundUrl",
		"listenbrainz":     "sharkey:listenbrainz",
		"enableRss":        "sharkey:enableRss",
		"vcard":            "http://www.w3.org/2006/vcard/ns#",
	},
}
